# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.reflection
from typing_extensions import Literal
import typing
from .x_interface_type_description import XInterfaceTypeDescription as XInterfaceTypeDescription_d92e1342
if typing.TYPE_CHECKING:
    from .x_type_description import XTypeDescription as XTypeDescription_3c210fb1

class XInterfaceTypeDescription2(XInterfaceTypeDescription_d92e1342):
    """
    Reflects an interface type, supporting multiple inheritance.
    
    This type supersedes XInterfaceTypeDescription, which only supported single inheritance.
    
    **since**
    
        OOo 2.0

    See Also:
        `API XInterfaceTypeDescription2 <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1reflection_1_1XInterfaceTypeDescription2.html>`_
    """
    __pyunointerface__: Literal['com.sun.star.reflection.XInterfaceTypeDescription2']

    def getBaseTypes(self) -> 'typing.Tuple[XTypeDescription_3c210fb1, ...]':
        """
        Returns a sequence of all directly inherited (mandatory) base interface types.
        """
        ...
    def getOptionalBaseTypes(self) -> 'typing.Tuple[XTypeDescription_3c210fb1, ...]':
        """
        Returns a sequence of all directly inherited optional base interface types.
        """
        ...


